/*
 * $RCSfile: os.h $
 *
 * $Author: marcel $
 *
 * $Revision: 1.3 $
 *
 * $Date: 1995/03/29 01:04:22 $
 *
 * $Locker: marcel $
 *
 * $State: Exp $
 *
 * Amiga version
 *
 * Copyright  1995 Marcel Offermans
 *
 * tabsize = 5
 */

#ifndef RARS_OS_H
#define RARS_OS_H

#ifndef RARS_GI_H
#include "gi.h"
#endif

#include <exec/types.h>

extern int car_count;
extern int lap_count;
extern int race_count;
extern int real_speed;
extern int no_display;
extern int keep_order;
extern ULONG idcmpmask;
extern ULONG signals;

extern void get_args(int argc, char* argv[]);
extern void randomizer(void);
extern double random(int);
extern void itoa(int, char *, int);
extern int get_ch(void);
extern int kb_hit(void);
extern void one_tick(int);

const int ESC = 27;
const double delta_time = 0.0549;

#endif /* RARS_OS_H */
